## org.apache.tools.ant.filters
Interface ChainableReader

All Known Implementing Classes:
  ClassConstants, ExpandProperties, HeadFilter, LineContains, LineContainsRegExp, PrefixLines, ReplaceTokens, StripJavaComments, StripLineBreaks, StripLineComments, TabsToSpaces, TailFilter

public interface ChainableReader

Interface indicating that a reader may be chained to another one.

Author:
  Magesh Umasankar

Method Summary
`java.io.Reader` `chain(java.io.Reader rdr)` Returns a reader with the same configuration as this one, but filtering input from the specified reader.

Method Detail

### chain

    public java.io.Reader chain(java.io.Reader rdr)

  Returns a reader with the same configuration as this one, but filtering input from the specified reader.

  Parameters:
    `rdr` - the reader which the returned reader should be filtering
  Returns:
    a reader with the same configuration as this one, but filtering input from the specified reader

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.